%define am_i_cooker 0
%define distrib TinyMe
%define version 2008
%define rel 1
%define distname TinyMe
%define distsuffix tinyme
%define distribution TinyMe

%define product_vendor TinyMe
%define product_distribution %distribution
%define product_type Basic
%define product_version %version
%define product_branch Stable
%define product_release 2008
%define product_arch %{_target_cpu}
%define product_product Free

%define product_id vendor=%product_vendor,distribution=%product_distribution,type=%product_type,version=%product_version,branch=%product_branch,release=%product_release,arch=%product_arch,product=%product_product

%if %am_i_cooker
    %define distrib Cooker
    %define unstable %%_with_unstable --with-unstable
%endif

# The mandriva release, what is written on box
%define mandriva_release %version

# The mandriva branch: Cooker, Community or Official
%define mandriva_branch %distrib

# The mandriva arch, notice: using %_target_cpu is bad
# elsewhere because this depend of the config of the packager
# _target_cpu => package build for
# mandriva_arch => the distribution we are using
%define mandriva_arch %_target_cpu

# To be coherent with %mandriva_arch I provide os too
# be I wonder it will be linux for a long time
%define mandriva_os %_target_os

%define realversion %version

#old mdkver define
#%define mdkver %(echo %version | sed 's/\\.//')0
%define mdkver %(echo %version)00

%define macrofile %build_sysmacrospath

Summary:	TinyMe release file
Name:		tinyme-release
Version:	%version
Release:	%mkrel %rel
License:	GPL
URL:		http://www.pclinuxos.com/
Group:		System/Configuration/Other
Source:		%name.tar.bz2
Source1:	10%name.sh
Source2:	10%name.csh
Obsoletes:	rawhide-release redhat-release mandrake-release mandrakelinux-release mandriva-release mandriva-release-One pclinuxos-release tinyme-release
BuildRoot:	%{_tmppath}/%{name}-root
Provides:	redhat-release rawhide-release mandrake-release mandrakelinux-release mandriva-release mandriva-release-One pclinuxos-release tinyme-release

%description
TinyMe Linux release file.

%prep
%setup -q -n %{name}

# check that CREDITS file is in UTF-8, fail otherwise
if iconv -f utf-8 -t utf-8 < CREDITS > /dev/null
then
	true
else
	echo "the CREDITS file *MUST* be encoded in UTF-8"
	echo "please fix it before continuing"
	false
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/etc
echo "TinyMe release %{realversion} (%{distrib}) for %{_target_cpu}" > $RPM_BUILD_ROOT/etc/tinyme-release
ln -sf tinyme-release $RPM_BUILD_ROOT/etc/redhat-release
ln -sf tinyme-release $RPM_BUILD_ROOT/etc/mandrake-release
ln -sf tinyme-release $RPM_BUILD_ROOT/etc/release
ln -sf tinyme-release $RPM_BUILD_ROOT/etc/mandrakelinux-release
ln -sf tinyme-release $RPM_BUILD_ROOT/etc/mandriva-release
ln -sf tinyme-release $RPM_BUILD_ROOT/etc/pclinuxos-release
echo "%{version} %{rel} %{distname}" > $RPM_BUILD_ROOT/etc/version

cat > %buildroot/etc/product.id << EOF
%product_id
EOF

mkdir -p %buildroot%_sys_macros_dir
cat > %buildroot%macrofile <<EOF
%%distribution      %distribution
%%mandriva_release  %mandriva_release
%%mandriva_branch   %mandriva_branch
%%mandriva_arch     %mandriva_arch
%%mandriva_os       %mandriva_os
%%mandriva_class    %%(. %_sysconfdir/sysconfig/system; echo \$META_CLASS)
%%mdkver            %mdkver
%%mdvver            %mdkver
%%mdkversion        %mdkver
%%distsuffix        %distsuffix

# productid variable
%%product_id %product_id

%%product_vendor        %product_vendor
%%product_distribution  %product_distribution
%%product_type          %product_type
%%product_version       %product_version
%%product_branch        %product_branch
%%product_release       %product_release
%%product_arch          %product_arch
%%product_product       %product_product

%{?unstable}
EOF

##temp hack make the rpmbuild system happy
ln -sf %macrofile $RPM_BUILD_ROOT/etc/rpm/macros.d/mandriva-release.macros

mkdir -p %buildroot%_sysconfdir/sysconfig
cat > %buildroot%_sysconfdir/sysconfig/system <<EOF
SECURITY=3
CLASS=beginner
LIBSAFE=no
META_CLASS=download
EOF

mkdir -p %buildroot%_sysconfdir/profile.d
install -m755 %SOURCE1 %SOURCE2 %buildroot%_sysconfdir/profile.d


%check
%if %am_i_cooker
case %release in
    0.*) ;;
    *)
    echo "Cooker distro should have this package with release < %{mkrel 1}"
    exit 1
    ;;
esac
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CREDITS release-notes.txt
/etc/mandrake-release
/etc/mandrakelinux-release
/etc/redhat-release
/etc/mandriva-release
/etc/pclinuxos-release
/etc/tinyme-release
/etc/release
/etc/version
/etc/product.id
/etc/profile.d/10%name.sh
/etc/profile.d/10%name.csh
%macrofile
%config(noreplace) %verify(not md5 size mtime) %_sysconfdir/sysconfig/system
/etc/rpm/macros.d/mandriva-release.macros


%changelog
* Fri Dec 07 2007 KDulcimer <kdulcimer@gmail.com> 2008-1tinyme_pclos2007
- Change to TinyMe 2008

* Tue Feb 27 2007 ocilent1 <ocilent1 at gmail dot com> 2007-1pclos2007
- prepare for final PCLinuxOS2007 release.
- define 'product_branch Stable'
- define 'product_release 2007'
- fix /etc/version version
- rename sources 1 and 2
- drop distro.txt README.urpmi from docs
- drop Icon:

* Thu Oct 26 2006 ocilent1 <ocilent1 at gmail dot com> 0.17pclos2007
- add %%mdkversion define

* Sun Oct 22 2006 ocilent1 <ocilent1 at gmail dot com> 0.16pclos2007
- add Provides: / Obsoletes: mandriva-release-One

* Sat Sep 23 2006 ocilent1 <ocilent1 at gmail dot com> 0.15pclos2007
- define 'mdkver 200700' (temp fix for some misc rpm builds)
- define 'product_release 0.94'

* Mon Sep 11 2006 ocilent1 <ocilent1 at gmail dot com> 0.14pclos2007
- Update release for rebase
